Skip to main content
POST
Ads list

Authorizations

Authorization
string
header
required

A personal API key (adside_pat_…) or a token from adside login. Either carries the permissions of the person it belongs to.

Path Parameters

workspaceId
string
required
Minimum string length: 1

Body

application/json
campaign_id
string

Filter by campaign ID

adset_id
string

Filter by ad set ID

account_id
string

Filter by account ID

status
enum<string>

Filter by ad status

Available options:
ACTIVE,
PAUSED,
DELETED,
ARCHIVED
limit
number
default:25

Number of ads to return

Required range: 1 <= x <= 100
after
string

Pagination cursor for next page

Response

200 - application/json

Success